SDO_Model_Type::getProperty
SDO_Model_Type::isDataType
SDO Functions
PHP Manual

# SDO_Model_Type::isAbstractType

Test to see if this SDO_Model_Type is an abstract data type

### Description

bool SDO_Model_Type::isAbstractType ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Test to see if this SDO_Model_Type is an abstract data type. Returns `TRUE` if this type is abstract, that is, no SDO_DataObject of this type can be instantiated, though other types may inherit from it.

### Parameters

None.

### Return Values

Returns `TRUE` if this type is an abstract data type, otherwise returns `FALSE`.